#################################################
#
#  (C) 2012 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### kdevcppparser (static) ####################

tde_add_library( kdevcppparser STATIC
  SOURCES
    ast.cpp driver.cpp errors.cpp lexer.cpp lookup.cpp parser.cpp
    tree_parser.cpp urlutil.cpp ast_utils.cpp cpptree2uml.cpp
)
